{ ... }:
{
  services.ssh-agent.enable = true;

  programs.ssh = {
    enable = true;

    matchBlocks = {
      "hpc" = {
        user = "benstem";
        hostname = "login1.hpc.uni-potsdam.de";
      };

      "lilith-lab" = {
        user = "lilith";
        hostname = "nixserver";
      };

      "lilith-server" = {
        user = "lilith";
        hostname = "2a01:4f9:4a:1ecb::2:";
      };
    };
  };
}
